Loading...
Searching...
No Matches
mpr_inout.cc File Reference
`#include "kernel/mod2.h"`
`#include "misc/mylimits.h"`
`#include "misc/options.h"`
`#include "misc/intvec.h"`
`#include "coeffs/numbers.h"`
`#include "coeffs/mpr_global.h"`
`#include "polys/matpol.h"`
`#include "kernel/structs.h"`
`#include "kernel/polys.h"`
`#include "kernel/ideals.h"`
`#include "mpr_base.h"`
`#include "mpr_numeric.h"`
`#include "mpr_inout.h"`
`#include "factory/timing.h"`

Go to the source code of this file.

## Macros

#define | TIMING_EPR(t, msg)

## Functions

| TIMING_DEFINE_PRINT (mpr_overall) TIMING_DEFINE_PRINT(mpr_check) TIMING_DEFINE_PRINT(mpr_constr) TIMING_DEFINE_PRINT(mpr_ures) TIMING_DEFINE_PRINT(mpr_mures) TIMING_DEFINE_PRINT(mpr_arrange) TIMING_DEFINE_PRINT(mpr_solver) void mprPrintError(mprState state

## Macro Definition Documentation

## TIMING_EPR

#define TIMING_EPR | ( |  | t,
|  |  | msg )

Value:
TIMING_END_AND_PRINT(t,msg);TIMING_RESET(t);
TIMING_RESET
#define TIMING_RESET(t)
Definition timing.h:98
TIMING_END_AND_PRINT
#define TIMING_END_AND_PRINT(t, msg)
Definition timing.h:94

## Function Documentation

## TIMING_DEFINE_PRINT()

TIMING_DEFINE_PRINT | ( | mpr_overall |  | ) |